//不同模块组件
import { TextConfig, TextCss } from "./config/text";
import { switchConfig, switchCss } from "./config/switch";
import { btnConfig, btnCss } from "./config/button";
import { iconConfig, iconCss } from "./config/icon";
import { pictureConfig, pictureCss } from "./config/picture";
import { sceneConfig, sceneCss } from "./config/sceneButton";
import { configList1, cssList1 } from "./config/input";

const baseComponent = [{
    id: 5, type: 'Text', name: "文字", active: false,
    displayPicture: true,
    config: TextConfig,
    css: TextCss,
}, {
    id: 6, type: 'Switch', name: "开关", active: false,
    displayPicture: true,
    config: switchConfig,
    css: switchCss,
}, {
    id: 7, type: 'Button', name: "按钮", active: false,
    displayPicture: true,
    config: btnConfig,
    css: btnCss,
}, {
    id: 8, type: 'Icon', name: "图标", active: false,
    displayPicture: true,
    config: iconConfig,
    css: iconCss,
}, {
    id: 9, type: 'Picture', name: "图片", active: false,
    displayPicture: true,
    config: pictureConfig,
    css: pictureCss,
}]

const attributeValue = [{
    id: 1, type: 'Input', name: "输入框3", active: false,
    config: configList1,
    css: cssList1,
}, {
    id: 2, type: 'SceneButton', name: "场景", active: false,
    config: sceneConfig,
    css: sceneCss,
}]

const layout = [{
    id: 3, type: 'SceneButton', name: "场景", active: false,
    config: sceneConfig,
    css: sceneCss,
}, {
    id: 4, type: 'SceneButton', name: "场景2", active: false,
    config: sceneConfig,
    css: sceneCss,
}]

export { baseComponent, attributeValue, layout };